Wierd self. Error :(

Ok guys I downloaded a knife and it worked perfectly. I wanted to make it like CoD, when you press E you will stab even if you have another weapon equipped. So I made some changes and made a concommand to equip the knife and to automatically attack and holster/strip the weapon. But now when I try it there are some errors with all the self. in the script. It says they are nil values and the knife doesn’t work anymore. Though I don’t think I made any changes to anything with self. in it. Why errors? :frowning:

And one more thing, how to make the player remove the weapon? Not just holster it, remove it?